<?php
include "../conexion.php";

$html = '';
$id = $_POST['iddep'];
$proceso = $_POST['proceso'];

if($proceso==1)
{
   $idotro = $_POST['codmuni'];
      $rs_municipior=mysqli_query($conexion,"SELECT id,nombre FROM municipio where departamento='".$id."'
                                                   union select 0,'' from municipio
                                                   order by nombre asc"); 
      if ($rs_municipior->num_rows > 0) {
         while ($row = $rs_municipior->fetch_assoc()) {  
            
            if($row['id']==$idotro)   
               {
                  $html .= '<option value="'.$row['id'].'" selected>'.$row['nombre'].'</option>';
               }
            else
               {
                  $html .= '<option value="'.$row['id'].'" >'.$row['nombre'].'</option>';
               }
         }
      }

      echo $html;
}  


if($proceso==2)
{
   $idotro = $_POST['codmuni'];
      $rs_municipior=mysqli_query($conexion,"SELECT id,nombre FROM municipio where departamento='".$id."'
                                                   union select 0,'' from municipio
                                                   order by nombre asc"); 
      if ($rs_municipior->num_rows > 0) {
         while ($row = $rs_municipior->fetch_assoc()) {  
            
            if($row['id']==$idotro)   
               {
                  $html .= '<option value="'.$row['id'].'" selected>'.$row['nombre'].'</option>';
               }
            else
               {
                  $html .= '<option value="'.$row['id'].'" >'.$row['nombre'].'</option>';
               }
         }
      }

      echo $html;
}  
?>